Subject: Re: bug#18530: 24.3; Emacs unable to handle very large lines

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Sep 2014 19:19:18 +0300

> From: Alexis <[email-masked]>
> Date: Sun, 28 Sep 2014 17:16:06 +1000
> Cc: Amit Barve <[email-masked]>
> 
> 
> Amit Barve writes:
> 
> > Here goes the description of the bug: Whenever I open a text file
> > which has a very big line(a continuous line) without a newline inside
> > it (let's say first 1000000 space separated numbers) then emacs is
> > just unable to handle it.  Emacs is unable to show line count of
> > buffer, instead it shows 'L??'  and general commands like 'move to end
> > of file', 'move to start of line' take a lot of time (something like a
> > complete minute) to work.I tried by removing everything from my
> > '.emacs' file but that didn't help!
> 
> i've been able to reproduce this on both 24.3.3 and 24.3.93.2 (both
> manually compiled on 64-bit Debian Wheezy running on an i5), having
> created the utf-8 file test.txt with:
> 
>     for i in `seq 1 1000000`; do echo -n "$i " >> test.txt; done
> 
> then loading that file into an `emacs -Q` session. Moving from one end
> of the buffer takes 15-20 seconds.

This is bug #13675, a well-known imitation of the current Emacs
display engine.